﻿using System;
using System.Collections.Generic;
using System.Text;
using DTG.Spreadsheet;

namespace TestOpenXML
{
    class Program
    {
        static void Main(string[] args)
        {
            // TODO: If using Excel Reader .NET Full Version, put YOUR-LICENSE-CODE below.
            // Otherwise, if you are using Excel Reader .NET Trial, comment out the following line
            // (Free version doesn't have LicenseCode method). 
            // DTG.Spreadsheet.ExcelWorkbook.SetLicenseCode("YOUR-LICENSE-CODE");

            ExcelWorkbook Wbook = ExcelWorkbook.ReadXLSX(@"..\..\..\TestOpenXML.xlsx");
            ExcelWorksheet Wsheet = Wbook.Worksheets[0];
            ExcelCellCollection Cells = Wsheet.Cells;

            Console.WriteLine("Test of reading OpenXML files (XLSX):");
            Console.WriteLine();
            for (int i = 0; i < Wsheet.Rows.Count; i++)
            {
                for (int j = 0; j < Wsheet.Columns.Count; j++)
                {
                    Console.Write("\t");
                    Console.Write(Cells[i,j].Value.ToString());
                }
                Console.WriteLine();
            }
            Console.ReadLine();
        }
    }
}
