﻿Imports System.IO
Imports DTG.Spreadsheet


Public Class Form1

    Dim AboutBox As AboutBox1

    Private Sub Form1_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        tabControl1.Visible = False
        AboutBox = New AboutBox1()
    End Sub

    Private Sub Form1_Shown(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Shown
        openToolStripMenuItem_Click(sender, e)
    End Sub

    Private Sub openToolStripMenuItem_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles openToolStripMenuItem.Click
        openFileDialog1.Filter = "Excel files (*.xls,*.xslx,*.csv)|*.xls;*.xlsx;*.csv;|Text (*.txt)|*.txt;|All files (*.*)|*.*"

        ' Open Excel file
        If openFileDialog1.ShowDialog() = DialogResult.OK Then

            ' TODO: If using Excel Reader .NET Full Version, put YOUR-LICENSE-CODE below.
            ' Otherwise, if you are using Excel Reader .NET Trial, comment out the following line
            ' (Free version doesn't have LicenseCode method). 
            ' DTG.Spreadsheet.ExcelWorkbook.SetLicenseCode("YOUR-LICENSE-CODE");

            Dim Wbook As ExcelWorkbook

            Dim FileName As String = openFileDialog1.FileName
            Dim Extension As String = Path.GetExtension(FileName)
            Select Extension.ToLower()
                Case ".xlsx"
                    Wbook = ExcelWorkbook.ReadXLSX(FileName)
                Case ".xls"
                    Wbook = ExcelWorkbook.ReadXLS(FileName)
                Case ".csv"
                    Wbook = ExcelWorkbook.ReadCSV(FileName)
                Case ".txt"
                    ExcelOptions.CsvDelimiter = TypeOfCsvDelimeter.TabDelimited
                    Wbook = ExcelWorkbook.ReadCSV(FileName)
                Case Else
                    Wbook = ExcelWorkbook.ReadXLS(FileName)
            End Select

            ' Show the first sheet of Excel file
            dataGridView1.DataSource = Wbook.Worksheets(0).WriteToDataTable()
            tabControl1.TabPages(0).Text = Wbook.Worksheets(0).Name
            tabControl1.Visible = True
        End If
    End Sub

    Private Sub exitToolStripMenuItem_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles exitToolStripMenuItem.Click
        Close()
    End Sub

    Private Sub aboutToolStripMenuItem_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles aboutToolStripMenuItem.Click
        AboutBox.ShowDialog()
    End Sub
End Class
